Volume keys stopped working after package(s) upgrade

New to Debian (Or Linux in general)? Ask your questions here!

Volume keys stopped working after package(s) upgrade

Postby justasalad » 2020-03-23 10:56

Yesterday I upgraded a bunch of packages on Bullseye (MATE) and since then Volume Up/Down/Mute no longer work. I tried reassigning them in Control Center -> Keyboard Shortcuts but that did not help. When I run Screenkey the proper keys are still displayed i.e. XF86AudioRaiseVolume etc. Changing volume (with mouse) in Sound Preferences works. Any ideas how to fix this?

Code: Select all
dava@dava:~$ inxi --system --audio
System:    Host: dava Kernel: 5.4.0-4-amd64 x86_64 bits: 64 Desktop: MATE 1.24.0 Distro: Debian GNU/Linux bullseye/sid
Audio:     Device-1: Intel Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Series High Definition Audio
           driver: snd_hda_intel
           Sound Server: ALSA v: k5.4.0-4-amd64
dava@dava:~$ pulseaudio --version
pulseaudio 13.0


Packages that were upgraded:
Start-Date: 2020-03-22 11:06:17
Commandline: apt upgrade
Requested-By: dava (1000)
Install: libsource-highlight4v5:amd64 (3.1.9-1.2, automatic), libsource-highlight-common:amd64 (3.1.9-1.2, automatic), libprocps8:amd64 (2:3.3.16-4, automatic), libxxhash0:amd64 (0.7.3-1, automatic), libboost-regex1.67.0:amd64 (1.67.0-17, automatic), libjson-maybexs-perl:amd64 (1.004000-1, automatic)
Upgrade: inxi:amd64 (3.0.37-1-1, 3.0.38-1-1), libgphoto2-port12:amd64 (2.5.22-3, 2.5.24-1), libseccomp2:amd64 (2.4.2-2, 2.4.3-1), glib-networking-services:amd64 (2.62.3-1, 2.64.0-1), libvte-2.91-0:amd64 (0.58.3-1, 0.60.0-2), dconf-editor:amd64 (3.35.91-2, 3.36.0-1), binutils-avr:amd64 (2.26.20160125+Atmel3.6.1-4+b1, 2.26.20160125+Atmel3.6.2-1+b1), gir1.2-gtk-3.0:amd64 (3.24.13-1, 3.24.14-1), gnupg-utils:amd64 (2.2.19-2, 2.2.19-3), gir1.2-gmenu-3.0:amd64 (3.32.0-1, 3.36.0-1), libgcr-base-3-1:amd64 (3.34.0-1, 3.36.0-2), python3-pyxattr:amd64 (0.6.1-1+b1, 0.6.1-2), gpg-wks-client:amd64 (2.2.19-2, 2.2.19-3), gcc-9-base:amd64 (9.2.1-31, 9.3.0-3), libgphoto2-6:amd64 (2.5.22-3, 2.5.24-1), gnupg-l10n:amd64 (2.2.19-2, 2.2.19-3), libc6-dbg:amd64 (2.29-10, 2.30-2), libc6-dev:amd64 (2.29-10, 2.30-2), libgoa-1.0-0b:amd64 (3.34.1-1, 3.36.0-1), dconf-service:amd64 (0.34.0-2, 0.36.0-1), va-driver-all:amd64 (2.6.1-1, 2.7.0~pre1-1), python3-sphinx:amd64 (1.8.5-5, 1.8.5-6), libgoa-1.0-common:amd64 (3.34.1-1, 3.36.0-1), libctf-nobfd0:amd64 (2.34-4, 2.34-5), glib-networking:amd64 (2.62.3-1, 2.64.0-1), libgtk-3-common:amd64 (3.24.13-1, 3.24.14-1), libarchive-zip-perl:amd64 (1.67-2, 1.68-1), gcc-10-base:amd64 (10-20200304-1, 10-20200312-2), libgtk-3-0:amd64 (3.24.13-1, 3.24.14-1), libgs9:amd64 (9.50~dfsg-5, 9.52~dfsg-1), cpp-9:amd64 (9.2.1-31, 9.3.0-3), libkmod2:amd64 (27-1, 27-2), libsecret-1-0:amd64 (0.19.1-1, 0.20.2-1), libicu63:amd64 (63.2-2, 63.2-3), binutils:amd64 (2.34-4, 2.34-5), libitm1:amd64 (10-20200304-1, 10-20200312-2), libusrsctp1:amd64 (0.9.3.0+20190901-1, 0.9.3.0+20200312-1), at-spi2-core:amd64 (2.36.0-1, 2.36.0-2), dconf-gsettings-backend:amd64 (0.34.0-2, 0.36.0-1), liblognorm5:amd64 (2.0.5-1+b1, 2.0.5-1.1), google-chrome-stable:amd64 (80.0.3987.132-1, 80.0.3987.149-1), python3-brlapi:amd64 (6.0+dfsg-4+b1, 6.0+dfsg-5), libc6:amd64 (2.29-10, 2.30-2), gpg-wks-server:amd64 (2.2.19-2, 2.2.19-3), libpeas-1.0-0:amd64 (1.22.0-5, 1.26.0-2), runit-helper:amd64 (2.8.14, 2.8.15), python-apt-common:amd64 (1.8.5, 1.9.10), gcr:amd64 (3.34.0-1, 3.36.0-2), gdb:amd64 (8.3.1-1, 9.1-2), libgphoto2-l10n:amd64 (2.5.22-3, 2.5.24-1), gpg:amd64 (2.2.19-2, 2.2.19-3), libbrlapi0.7:amd64 (6.0+dfsg-4+b1, 6.0+dfsg-5), python3-idna:amd64 (2.6-2, 2.8-1), xbrlapi:amd64 (6.0+dfsg-4+b1, 6.0+dfsg-5), locales:amd64 (2.29-10, 2.30-2), python3-psutil:amd64 (5.6.7-1, 5.6.7-2), procps:amd64 (2:3.3.15-2+b1, 2:3.3.16-4), libsecret-common:amd64 (0.19.1-1, 0.20.2-1), gsettings-desktop-schemas:amd64 (3.34.0-2, 3.36.0-1), libasan5:amd64 (9.2.1-31, 9.3.0-3), libquadmath0:amd64 (10-20200304-1, 10-20200312-2), orca:amd64 (3.34.2-1, 3.36.1-1), xdg-utils:amd64 (1.1.3-1, 1.1.3-2), libatk-adaptor:amd64 (2.34.1-2, 2.34.1-3), glib-networking-common:amd64 (2.62.3-1, 2.64.0-1), dvisvgm:amd64 (2.8.2-1, 2.9-1), kmod:amd64 (27-1, 27-2), libgcr-ui-3-1:amd64 (3.34.0-1, 3.36.0-2), libstdc++-9-dev:amd64 (9.2.1-31, 9.3.0-3), libgcc1:amd64 (1:10-20200304-1, 1:10-20200312-2), dirmngr:amd64 (2.2.19-2, 2.2.19-3), python3-pycurl:amd64 (7.43.0.2-1, 7.43.0.2-2), binutils-x86-64-linux-gnu:amd64 (2.34-4, 2.34-5), libwpebackend-fdo-1.0-1:amd64 (1.4.0-1, 1.6.0-1), libinput-bin:amd64 (1.15.3-1, 1.15.4-1), libc-l10n:amd64 (2.29-10, 2.30-2), libwpe-1.0-1:amd64 (1.4.0.1-1, 1.6.0-1), libva2:amd64 (2.6.1-1, 2.7.0~pre1-1), libpeas-common:amd64 (1.22.0-5, 1.26.0-2), libtsan0:amd64 (10-20200304-1, 10-20200312-2), gir1.2-peas-1.0:amd64 (1.22.0-5, 1.26.0-2), adwaita-icon-theme:amd64 (3.34.0-2, 3.36.0-1), libgtk-3-bin:amd64 (3.24.13-1, 3.24.14-1), libc-bin:amd64 (2.29-10, 2.30-2), libubsan1:amd64 (10-20200304-1, 10-20200312-2), yelp-xsl:amd64 (3.34.2-1, 3.36.0-1), g++-9:amd64 (9.2.1-31, 9.3.0-3), gir1.2-vte-2.91:amd64 (0.58.3-1, 0.60.0-2), licensecheck:amd64 (3.0.45-1, 3.0.46-1), libatspi2.0-0:amd64 (2.36.0-1, 2.36.0-2), libprotobuf-lite17:amd64 (3.6.1.3-2+b2, 3.6.1.3-2+b3), libjbig2dec0:amd64 (0.17-1, 0.18-1), libgfortran5:amd64 (10-20200304-1, 10-20200312-2), tar:amd64 (1.30+dfsg-6+b1, 1.30+dfsg-7), gcc-9:amd64 (9.2.1-31, 9.3.0-3), python3-markupsafe:amd64 (1.1.0-1+b2, 1.1.1-1), libqt5webkit5:amd64 (5.212.0~alpha3-7, 5.212.0~alpha4-1), libglib2.0-bin:amd64 (2.62.5-1, 2.64.1-1), lintian:amd64 (2.55.0, 2.57.0), gpgv:amd64 (2.2.19-2, 2.2.19-3), libgck-1-0:amd64 (3.34.0-1, 3.36.0-2), libgail-3-0:amd64 (3.24.13-1, 3.24.14-1), ghostscript:amd64 (9.50~dfsg-5, 9.52~dfsg-1), liblsan0:amd64 (10-20200304-1, 10-20200312-2), libgomp1:amd64 (10-20200304-1, 10-20200312-2), libwebkit2gtk-4.0-37:amd64 (2.26.4-1, 2.28.0-2), dh-python:amd64 (4.20191017, 4.20200315), gir1.2-atspi-2.0:amd64 (2.36.0-1, 2.36.0-2), ruby-power-assert:amd64 (1.1.5-1, 1.1.6-1), libgnome-menu-3-0:amd64 (3.32.0-1, 3.36.0-1), libgs9-common:amd64 (9.50~dfsg-5, 9.52~dfsg-1), binutils-common:amd64 (2.34-4, 2.34-5), libgcc-s1:amd64 (10-20200304-1, 10-20200312-2), libglib2.0-data:amd64 (2.62.5-1, 2.64.1-1), libatk-bridge2.0-0:amd64 (2.34.1-2, 2.34.1-3), libc-dev-bin:amd64 (2.29-10, 2.30-2), libvte-2.91-common:amd64 (0.58.3-1, 0.60.0-2), logrotate:amd64 (3.15.1-2, 3.16.0-2), libbinutils:amd64 (2.34-4, 2.34-5), gir1.2-webkit2-4.0:amd64 (2.26.4-1, 2.28.0-2), unattended-upgrades:amd64 (1.17, 2.0), libva-x11-2:amd64 (2.6.1-1, 2.7.0~pre1-1), libva-wayland2:amd64 (2.6.1-1, 2.7.0~pre1-1), libstdc++-arm-none-eabi-newlib:amd64 (15:7-2018-q2-5+12, 15:8-2019-q3-1+13), libappstream4:amd64 (0.12.10-1, 0.12.10-2), gtk-update-icon-cache:amd64 (3.24.13-1, 3.24.14-1), python-idna:amd64 (2.6-2, 2.8-1), libva-drm2:amd64 (2.6.1-1, 2.7.0~pre1-1), libatomic1:amd64 (10-20200304-1, 10-20200312-2), bison:amd64 (2:3.5.1+dfsg-1, 2:3.5.3+dfsg-1), gzip:amd64 (1.10-1, 1.10-2), gnupg:amd64 (2.2.19-2, 2.2.19-3), libcc1-0:amd64 (10-20200304-1, 10-20200312-2), sphinx-common:amd64 (1.8.5-5, 1.8.5-6), libstdc++6:amd64 (10-20200304-1, 10-20200312-2), libjs-sphinxdoc:amd64 (1.8.5-5, 1.8.5-6), libjavascriptcoregtk-4.0-18:amd64 (2.26.4-1, 2.28.0-2), dconf-cli:amd64 (0.34.0-2, 0.36.0-1), gpg-agent:amd64 (2.2.19-2, 2.2.19-3), liblirc-client0:amd64 (0.10.1-6, 0.10.1-6.1), libglib2.0-0:amd64 (2.62.5-1, 2.64.1-1), libdconf1:amd64 (0.34.0-2, 0.36.0-1), mate-backgrounds:amd64 (1.24.0-1, 1.24.1-1), libnspr4:amd64 (2:4.24-1, 2:4.25-1), gpgconf:amd64 (2.2.19-2, 2.2.19-3), libregexp-pattern-license-perl:amd64 (3.2.0-1, 3.3.0-1), python3-packaging:amd64 (19.1-2, 20.1-1), python3-apt:amd64 (1.8.5, 1.9.10), gir1.2-javascriptcoregtk-4.0:amd64 (2.26.4-1, 2.28.0-2), libinput10:amd64 (1.15.3-1, 1.15.4-1), libctf0:amd64 (2.34-4, 2.34-5), libgcc-9-dev:amd64 (9.2.1-31, 9.3.0-3), gpgsm:amd64 (2.2.19-2, 2.2.19-3), gnome-menus:amd64 (3.32.0-1, 3.36.0-1)
End-Date: 2020-03-22 11:16:34

Start-Date: 2020-03-22 22:48:43
Commandline: apt autoremove
Requested-By: dava (1000)
Remove: libmldbm-perl:amd64 (2.05-2), libberkeleydb-perl:amd64 (0.62-1+b1), libfreezethaw-perl:amd64 (0.5001-2), python3-attr:amd64 (19.3.0-1)
End-Date: 2020-03-22 22:48:47
justasalad
 
Posts: 2
Joined: 2019-09-12 08:26

Re: Volume keys stopped working after package(s) upgrade

Postby justasalad » 2020-03-24 09:46

Found the solution here: https://askubuntu.com/questions/486182/ ... g-in-14-04

The schema names have changed though, so the commands should be
Code: Select all
gsettings reset org.mate.SettingsDaemon.plugins.media-keys volume-up
gsettings reset org.mate.SettingsDaemon.plugins.media-keys volume-down
gsettings reset org.mate.SettingsDaemon.plugins.media-keys volume-mute
justasalad
 
Posts: 2
Joined: 2019-09-12 08:26


Return to Beginners Questions

Who is online

Users browsing this forum: No registered users and 7 guests

fashionable